.messenger-order-link {
  display: flex;
  padding-right: var(--spacing-sm);
  border-radius: var(--button-border-radius);
  border: 1px solid var(--color-border);
  color: var(--color-text);
  align-items: center;
  background-color: transparent;
  transition: all 500ms ease;
}

.messenger-order-link__icon {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 var(--spacing-sm);
  margin-right: var(--spacing-sm);
  border-right: 1px solid var(--color-border);
  align-self: stretch;
  transition: all 500ms ease;
}

.messenger-order-link__icon svg {
  width: 1.5rem;
  height: 1.5rem;
}

.messenger-order-link__label {
  padding: var(--button-padding--y) 0;
}

.messenger-order-link:hover {
  border-color: var(--color-border-dark);
  background-color: var(--color-material-grey-50);
}

.messenger-order-link:hover .messenger-order-link__icon {
  border-right-color: var(--color-border-dark);
}
